Changeset 41416 for trunk/dports/cross


Ignore:
Timestamp:
Nov 2, 2008, 10:26:02 AM (11 years ago)
Author:
pguyot@…
Message:

cross/i960-rtems-binutils: add a warning for 10.5+ users that gcc won't build

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/cross/i960-rtems-binutils/Portfile

    r30687 r41416  
    1313platforms                       darwin
    1414categories                      cross devel
    15 maintainers                     pguyot@kallisys.net
     15maintainers                     pguyot@kallisys.net openmaintainer
    1616homepage                        http://www.gnu.org/software/binutils/binutils.html
    1717master_sites            gnu:binutils
     
    127127}
    128128
    129 # 2.16.1 is the latest supported version for this target, unless a maintainer
    130 # comes up, which may happen with new releases of binutils.
    131 livecheck.check         freshmeat
    132 livecheck.name          binutils
    133 livecheck.version       2.17
     129# This target has been abandonned upstream.
     130pre-fetch {
     131        if {${os.platform} == "darwin" && [rpm-vercomp 9.0 ${os.version}] < 0} {
     132                ui_warn "i960-rtems-gcc does not build on darwin 9+ (MacOS X 10.5+) and it has been abandonned upstream."
     133        }
     134}
     135
     136# livecheck.check               freshmeat
     137# livecheck.name                binutils
     138# livecheck.version     2.17
Note: See TracChangeset for help on using the changeset viewer.